1 Reply Latest reply on Sep 12, 2017 10:43 AM by Flow

    smack-omemo:4.2.1 and smack-android:4.2.1 dependencies problems

    Dmitry

      Starting from 4.2.1, smack-omemo has been introduced and now it is required by the smack-android project. Proof link: Maven Repository: org.igniterealtime.smack » smack-android » 4.2.1

      Although there's a requirement to smack-omemo, it is not present in the repository and still in beta. Which is making problems migrating to the 4.2.1.

      So, can this be fixed? Can smack-omemo be pushed to repo? Or, better, can smack-omemo be removed from the required dependencies of smack-android and be optional extension?